Subject: Re: segmentation fault on [stack growth]?

From: der Mouse <[email-masked]>

>>> main() { char    buf[512 * 1024]; }

>> Essentially, yes.  The thing is, the kernel has to have some way to
>> tell the difference between stack growth and wild pointers.

> in a word, "huh"?  [...stack size limit...]

Duh.  I should have thought of that.

> The reason that the stack size limit is there isn't to help detect
> wild pointers, it's there to keep the stack from growing too large,

So, NetBSD imposes no limit on how much a process can auto-grow its
stack by at once, except that the stack as a whole cannot exceed the
stacksize limit?  What if one does "unlimit stacksize"?  I should go
read the code....

					der Mouse

			    [email-masked]